import { SettingTopEntry } from '@kernelsoft/lowcode-designer';
import { Editor } from '@kernelsoft/lowcode-editor-core';
export declare class SettingsMain {
    readonly editor: Editor;
    private emitter;
    private _sessionId;
    private _settings?;
    get length(): number | undefined;
    get componentMeta(): import("@kernelsoft/lowcode-designer").IComponentMeta;
    get settings(): SettingTopEntry;
    private disposeListener;
    private designer?;
    constructor(editor: Editor);
    private init;
    private setup;
    purge(): void;
}
