import { Component, ReactNode } from 'react';
import { IPublicTypeCustomView } from '@kernelsoft/lowcode-types';
import { ISettingEntry, ISettingField, ISettingTopEntry } from '@kernelsoft/lowcode-designer';
export declare function createSettingFieldView(field: ISettingField | IPublicTypeCustomView, fieldEntry: ISettingEntry, index?: number): ReactNode;
export declare type SettingsPaneProps = {
    target: ISettingTopEntry | ISettingField;
    usePopup?: boolean;
};
export declare class SettingsPane extends Component<SettingsPaneProps> {
    static contextType: import("react").Context<import("../..").ISkeleton>;
    private currentStage?;
    private popupPipe;
    private pipe;
    private handleClick;
    private popStage;
    render(): import("react").JSX.Element;
}
