import { Component } from 'react';
import { Editor } from '@kernelsoft/lowcode-editor-core';
interface ISettingsPrimaryPaneProps {
    engineEditor: Editor;
    config: any;
}
export declare class SettingsPrimaryPane extends Component<ISettingsPrimaryPaneProps, {
    shouldIgnoreRoot: boolean;
}> {
    state: {
        shouldIgnoreRoot: boolean;
    };
    private main;
    private _activeKey?;
    constructor(props: ISettingsPrimaryPaneProps);
    componentDidMount(): void;
    setShouldIgnoreRoot(): Promise<void>;
    componentWillUnmount(): void;
    renderBreadcrumb(): JSX.Element;
    render(): JSX.Element;
}
export {};
